<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title> Событие клик </title>
</head>
    <body>
        Кнопка с обработкой события, указанного в теге
        <button onclick="show();">Нажми на меня</button>
        <br>
        Кнопка с добавлением обработки в коде
        <button id="demo"> Нажми на меня</button>
        <script>
            // функция используется в теге html
            function show() {
                alert("Привет!");
            }

            // добавим обработку прямо в коде
            let x = document.getElementById('demo');
            x.onclick = function () {
                // выведем дату
                document.body.innerHTML = Date();
            }

        </script>
    </body>
</html>